<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
F-Index
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="F-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-5.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-7.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-6.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-6.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>
<A NAME="_F_"><!-- --></A><H2>
<B>F</B></H2>
<DL>
<DT><A HREF="../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets"><B>FileHeader</B></A> - Class in <A HREF="../org/bitfountain/network/packets/package-summary.html">org.bitfountain.network.packets</A><DD>Info about a file, that can be sent in a list of files.<DT><A HREF="../org/bitfountain/network/packets/FileHeader.html#FileHeader(java.lang.String, long)"><B>FileHeader(String, long)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A>
<DD>Create a new Header.
<DT><A HREF="../org/bitfountain/network/packets/FileHeader.html#FileHeader(java.io.File)"><B>FileHeader(File)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A>
<DD>Create a new Header.
<DT><A HREF="../org/bitfountain/network/packets/FileHeader.html#FileHeader(java.io.DataInputStream)"><B>FileHeader(DataInputStream)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A>
<DD>Decode the header from an inputstream.
<DT><A HREF="../org/bitfountain/network/packets/FileList.html" title="class in org.bitfountain.network.packets"><B>FileList</B></A> - Class in <A HREF="../org/bitfountain/network/packets/package-summary.html">org.bitfountain.network.packets</A><DD>Send the list of files with a packet.<DT><A HREF="../org/bitfountain/network/packets/FileList.html#FileList()"><B>FileList()</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileList.html" title="class in org.bitfountain.network.packets">FileList</A>
<DD>Create a new empty list of files.
<DT><A HREF="../org/bitfountain/network/packets/FileList.html#FileList(java.io.DataInputStream)"><B>FileList(DataInputStream)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileList.html" title="class in org.bitfountain.network.packets">FileList</A>
<DD>Read the list of files from a stream.
<DT><A HREF="../org/bitfountain/network/packets/FileNotFound.html" title="class in org.bitfountain.network.packets"><B>FileNotFound</B></A> - Class in <A HREF="../org/bitfountain/network/packets/package-summary.html">org.bitfountain.network.packets</A><DD>Response from the server to a client, telling it
 that a requested file wasn't found.<DT><A HREF="../org/bitfountain/network/packets/FileNotFound.html#FileNotFound(java.io.DataInputStream)"><B>FileNotFound(DataInputStream)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileNotFound.html" title="class in org.bitfountain.network.packets">FileNotFound</A>
<DD>Read a FileNotFound packet from stream.
<DT><A HREF="../org/bitfountain/network/packets/FileNotFound.html#FileNotFound(long)"><B>FileNotFound(long)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileNotFound.html" title="class in org.bitfountain.network.packets">FileNotFound</A>
<DD>Create a new file not found message for a given file id.
<DT><A HREF="../org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets"><B>FilePart</B></A> - Class in <A HREF="../org/bitfountain/network/packets/package-summary.html">org.bitfountain.network.packets</A><DD>Send part of a file by interlacing blocks into packets.<DT><A HREF="../org/bitfountain/network/packets/FilePart.html#FilePart(org.bitfountain.network.packets.FileHeader, int, byte[])"><B>FilePart(FileHeader, int, byte[])</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets">FilePart</A>
<DD>Create a new file block packet.
<DT><A HREF="../org/bitfountain/network/packets/FilePart.html#FilePart(java.io.DataInputStream)"><B>FilePart(DataInputStream)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets">FilePart</A>
<DD>Read a FileBlock from a DataInputStream.
<DT><A HREF="../org/bitfountain/network/server/FileReceiveTask.html" title="class in org.bitfountain.network.server"><B>FileReceiveTask</B></A> - Class in <A HREF="../org/bitfountain/network/server/package-summary.html">org.bitfountain.network.server</A><DD>&nbsp;<DT><A HREF="../org/bitfountain/network/server/FileReceiveTask.html#FileReceiveTask(org.bitfountain.network.packets.FileHeader, java.util.List)"><B>FileReceiveTask(FileHeader, List&lt;ClientInfo&gt;)</B></A> - 
Constructor for class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileReceiveTask.html" title="class in org.bitfountain.network.server">FileReceiveTask</A>
<DD>Create a new file receive task.
<DT><A HREF="../org/bitfountain/network/packets/FileRequest.html" title="class in org.bitfountain.network.packets"><B>FileRequest</B></A> - Class in <A HREF="../org/bitfountain/network/packets/package-summary.html">org.bitfountain.network.packets</A><DD>Packet sent when the client wants to receive + decode a particular file.<DT><A HREF="../org/bitfountain/network/packets/FileRequest.html#FileRequest(long)"><B>FileRequest(long)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileRequest.html" title="class in org.bitfountain.network.packets">FileRequest</A>
<DD>Create a new file request, given a specific file ID.
<DT><A HREF="../org/bitfountain/network/packets/FileRequest.html#FileRequest(java.io.DataInputStream)"><B>FileRequest(DataInputStream)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileRequest.html" title="class in org.bitfountain.network.packets">FileRequest</A>
<DD>Read a File request packet from a data input stream.
<DT><A HREF="../org/bitfountain/network/server/FileSendTask.html" title="class in org.bitfountain.network.server"><B>FileSendTask</B></A> - Class in <A HREF="../org/bitfountain/network/server/package-summary.html">org.bitfountain.network.server</A><DD>Task for sending a file from the server to the client.<DT><A HREF="../org/bitfountain/network/server/FileSendTask.html#FileSendTask(java.util.List, org.bitfountain.network.server.ClientInfo)"><B>FileSendTask(List&lt;FilePart&gt;, ClientInfo)</B></A> - 
Constructor for class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileSendTask.html" title="class in org.bitfountain.network.server">FileSendTask</A>
<DD>Create a new file send task.
<DT><A HREF="../org/bitfountain/gui/client/EventHandler.html#FORMAT"><B>FORMAT</B></A> - 
Static variable in class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/EventHandler.html" title="class in org.bitfountain.gui.client">EventHandler</A>
<DD>Used to FORMAT percentages etc.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-5.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-7.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-6.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-6.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>

</BODY>
</HTML>
